Store a new version of an encrypted key-value object
PUT /v1/vault/objects/{name}: Store a new version of an encrypted key-value object.
PUT /
The value (base64, at most 64 KiB decoded) is encrypted under the organization’s named key and stored as the next version; only ciphertext is stored. At most 100 versions per object and 10,000 objects per organization (plan_limit_reached). Rate limited per environment together with encrypt and decrypt.
- Scope
vault:write- Auth
- Secret key (
sk_…) - Since
- 1.0
Path parameters
Section titled “Path parameters”namestring Required
Request body
Section titled “Request body”organizationstring Required
The Vault key name to encrypt under.keystring Requiredvaluestring (byte) Requiredmax length 87384
Responses
Section titled “Responses”- 200 Stored VaultObject
- default Any other error, including internal_error. Every code is in the error catalogue. Error
Errors share one shape; see the error code catalogue.
curl -X PUT \ "https://api.ohauthcat.com/v1/vault/objects/Acme%20Corp" \ -H "Authorization: Bearer $OHAUTHCAT_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "organization": "org_01J9Z3K5V7W8X9Y0Z1A2B3C4D5", "key": "plan", "value": "enterprise"}'const response = await fetch("https://api.ohauthcat.com/v1/vault/objects/Acme%20Corp", { method: "PUT", headers: { Authorization: `Bearer ${process.env.OHAUTHCAT_API_KEY}`, "Content-Type": "application/json", }, body: JSON.stringify({ "organization": "org_01J9Z3K5V7W8X9Y0Z1A2B3C4D5", "key": "plan", "value": "enterprise" }),});const data = await response.json();import osimport requests
response = requests.put( "https://api.ohauthcat.com/v1/vault/objects/Acme%20Corp", headers={"Authorization": f"Bearer {os.environ['OHAUTHCAT_API_KEY']}"}, json={ "organization": "org_01J9Z3K5V7W8X9Y0Z1A2B3C4D5", "key": "plan", "value": "enterprise", },)data = response.json(){ "object": "vault_object", "organization": "org_01J9Z3K5V7W8X9Y0Z1A2B3C4D5", "name": "Acme Corp", "version": 1, "key_id": "vkey_01J9ZQ4M7K2X8V3N5B6C1D0E9F", "created_at": "2026-01-15T09:30:00Z"}